package listactors

abstract class MapListProcessor  {

  def process (l : List[Int]) : List[Int];
     val name : String
  
}


class MapListProcessorAdd5  extends MapListProcessor {
  
  override def process (l : List[Int]) : List[Int] = for (el <- l) yield el + 5
  override val name = "Add 5"
  
}


class MapListProcessorMult3 extends MapListProcessor {
  
  override def process (l : List[Int]) : List[Int] = for (el <- l) yield el * 3
  override val name = "Mult 3"
  
}

// SOLUTION: ein weiterer MapListProcessor:
class MapListProcessorAdd100 extends MapListProcessor {
  override def process (l : List[Int]) : List[Int] = for (el <- l) yield el + 100
  override val name = "Add 100"
  
}